#include "../include/Cache_MultiLevel.h"
#include <sstream>

namespace environment {
namespace cache {
namespace cache_multilevel {

  std::string Cache_MultiLevel::information (uint32_t depth)
  {
    std::string tab(depth,'\t');
    std::stringstream output;
    
    output << tab << "<" << name << ">" << std::endl
	   << param->print(depth);

    return output.str();
  }
};
};
};
